'use strict';

var fs = require('fs');
var gulp = require('gulp');
var browserify = require('browserify');

gulp.task(
    'build',
    function () {
        browserify(
            [
                __dirname + '/src/counter.js'
            ],
            {
                standalone: 'Counter'
            }
        )
        .bundle()
        .pipe(
            fs.createWriteStream(
                __dirname + '/dist/counter.js'
            )
        );
    }
);

gulp.task('default', ['build']);