'use strict';

var counter = new (require(__dirname + '/src/counter.js'))();

counter.onTick = function (newNumber) {
    console.log(newNumber);
};

counter
    .animate()
    .count(3)
    .in(100)
    .onUpdate(
        function (newNumber) {
            console.log(newNumber);
        }
    )
    .onDone(
        function () {
            console.log('Done');
        }
    )
    .run();